Bug 208569 - www/webkit-gtk2 Build failure for ARMs platform
Summary: www/webkit-gtk2 Build failure for ARMs platform
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-06 09:06 UTC by otacilio.neto
Modified: 2018-06-03 13:45 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
poudriere build log. (106.45 KB, text/plain)
2016-04-06 09:06 UTC, otacilio.neto
no flags Details
fix for webkit-gtk2 (968 bytes, patch)
2016-04-26 13:59 UTC, mikael.urankar
no flags Details | Diff
poudriere build log. (172.10 KB, application/octet-stream)
2016-04-27 21:13 UTC, otacilio.neto
no flags Details
Poudriere build log www/webkit-gtk2 With debug symbols (294.44 KB, application/x-gzip)
2016-05-07 11:17 UTC, Ulrich Grey
no flags Details
webkit-gtk2 build log Symbols/MAKE_JOBS_UNSAVE (356.45 KB, application/x-gzip)
2016-05-09 18:19 UTC, Ulrich Grey
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description otacilio.neto 2016-04-06 09:06:05 UTC
Created attachment 169026 [details]
poudriere build log.

www/webkit-gtk2 2.4.9_2 build is falling to ARM platform.  This denies the browser support also to small browsers, like www/midori.
Comment 1 mikael.urankar 2016-04-26 13:59:44 UTC
Created attachment 169718 [details]
fix for webkit-gtk2

Can you try the attached patch?
Comment 2 otacilio.neto 2016-04-26 14:08:19 UTC
Comment on attachment 169718 [details]
fix for webkit-gtk2

I have applied and I'm compiling now. When finish I will post there the results.

Thanks
Comment 3 otacilio.neto 2016-04-27 21:11:05 UTC
I have applied your patch and it fix the compile of www/webkit-gtk2. Attached is a poudriere build log.

Thanks a lot!
Comment 4 otacilio.neto 2016-04-27 21:13:18 UTC
Created attachment 169768 [details]
poudriere build log.

Build log for www/webkit-gtk2-2.4.9_2 for ARM on Poudriere.
Comment 5 Ulrich Grey 2016-05-01 21:19:22 UTC
I have attached the patch and the build finished successfully
if DEBUG is set to off. 
If I set DEBUG = on, this happens:

[0mc++: error: unable to execute command: Bus error (core dumped)

c++: error: clang frontend command failed due to signal (use -v to see invocation)

FreeBSD clang version 3.8.0 (tags/RELEASE_380/final 262564) (based on LLVM 3.8.0)

Target: armv6--freebsd11.0-gnueabi

Thread model: posix

InstalledDir: /usr/bin

c++: note: diagnostic msg: PLEASE submit a bug report to https://bugs.freebsd.org/submit/ and include the crash backtrace, preprocessed source, and associated run script.

c++: note: diagnostic msg: 

********************



PLEASE ATTACH THE FOLLOWING FILES TO THE BUG REPORT:

Preprocessed source(s) and associated run script(s) are located at:

c++: note: diagnostic msg: /tmp/JSAudioNode-ccb7ea.cpp

c++: note: diagnostic msg: /tmp/JSAudioNode-ccb7ea.sh

c++: note: diagnostic msg: 



********************

GNUmakefile:61743: recipe for target 'DerivedSources/WebCore/libWebCore_la-JSAudioNode.lo' failed

gmake[3]: *** [DerivedSources/WebCore/libWebCore_la-JSAudioNode.lo] Error 1

gmake[3]: *** Waiting for unfinished jobs....

6 warnings generated.

6 warnings generated.

gmake[3]: Leaving directory '/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.9'

GNUmakefile:25825: recipe for target 'all' failed

gmake[2]: *** [all] Error 2

gmake[2]: Leaving directory '/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.9'

===> Compilation failed unexpectedly.

Please see build log and diagnostic messages:
http://ulrich-grey.de/dl/webkit-gtk2.tgz
Comment 6 commit-hook freebsd_committer 2016-05-05 16:08:31 UTC
A commit references this bug:

Author: rm
Date: Thu May  5 16:08:09 UTC 2016
New revision: 414649
URL: https://svnweb.freebsd.org/changeset/ports/414649

Log:
  www/webkit-gtk[23]: update to 2.4.11

  - update to 2.4.11
  - fix build with Ruby 2.2 default version (ruby symlink doesn't exist anymore)
  - replace CPPFLAGS and LDFLAGS by USES= localbase
  - fix couple of whitespace bugs

  PR:		208961
  PR:     208192
  Submitted by:	olivierd
  Reviewed by:	kwm
  With hat:	gnome
  MFH:		2016Q2 (along with r414478)

  - fix build of webkit-gtk2 on ARM platforms

  PR:     208569
  Reported by:    otacilio.neto@bsd.com.br
  Submitted by:   mikael.urankar@gmail.com

  - fix build of webkit-gtk[23] when GNU binutils is installed

  PR:     195500
  PR:     196333
  Submitted by:   Christoph Moench-Tegeder <cmt@burggraben.net>

Changes:
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk2/distinfo
  head/www/webkit-gtk2/files/patch-Source_WTF_wtf_Platform.h
  head/www/webkit-gtk2/pkg-plist
  head/www/webkit-gtk3/Makefile
  head/www/webkit-gtk3/distinfo
  head/www/webkit-gtk3/pkg-plist
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2016-05-05 16:15:37 UTC
(In reply to Ulrich Grey from comment #5)
Ulrich please test 2.4.11 and let us know if DEBUG=off still doesn't work for you.
Comment 8 commit-hook freebsd_committer 2016-05-05 16:43:39 UTC
A commit references this bug:

Author: rm
Date: Thu May  5 16:42:57 UTC 2016
New revision: 414650
URL: https://svnweb.freebsd.org/changeset/ports/414650

Log:
  MFH: r414478 r414649

  www/webkit-gtk[23]: update to 2.4.10

  Merged from freebsd-ports-gnome development repo.

  Reviewed by:	kwm
  With hat:       gnome

  www/webkit-gtk[23]: update to 2.4.11

  - update to 2.4.11
  - fix build with Ruby 2.2 default version (ruby symlink doesn't exist anymore)
  - replace CPPFLAGS and LDFLAGS by USES= localbase
  - fix couple of whitespace bugs

  PR:		208961
  PR:     208192
  Submitted by:	olivierd
  Reviewed by:	kwm
  With hat:	gnome

  - fix build of webkit-gtk2 on ARM platforms

  PR:     208569
  Reported by:    otacilio.neto@bsd.com.br
  Submitted by:   mikael.urankar@gmail.com

  - fix build of webkit-gtk[23] when GNU binutils is installed

  PR:     195500
  PR:     196333
  Submitted by:   Christoph Moench-Tegeder <cmt@burggraben.net>

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/www/webkit-gtk2/Makefile
  branches/2016Q2/www/webkit-gtk2/distinfo
  branches/2016Q2/www/webkit-gtk2/files/patch-CVE-2014-1748
  branches/2016Q2/www/webkit-gtk2/files/patch-Source_WTF_wtf_Platform.h
  branches/2016Q2/www/webkit-gtk2/pkg-plist
  branches/2016Q2/www/webkit-gtk3/Makefile
  branches/2016Q2/www/webkit-gtk3/distinfo
  branches/2016Q2/www/webkit-gtk3/files/patch-CVE-2014-1748
  branches/2016Q2/www/webkit-gtk3/pkg-plist
Comment 9 Ulrich Grey 2016-05-07 11:17:59 UTC
Created attachment 170089 [details]
Poudriere build log www/webkit-gtk2 With debug symbols

I have built webkit-gtk2-2.4.11 with debug symbols natively on FreeBSD 11.0-CURRENT r298990 arm using a poudriere environment. The build failed:

(04:55:50) GNUmakefile:25837: recipe for target 'all' failed
(04:55:52) gmake[1]: *** [all] Segmentation fault (core dumped)
(04:55:52) gmake[1]: INTERNAL: Exiting with 1 jobserver tokens available; should be 4!
(04:55:52) gmake[1]: Leaving directory '/wrkdirs/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.11'
(04:55:52) ===> Compilation failed unexpectedly.

See attached poudriere build log.

The build without debug symbols finished successfully.
Comment 10 Ruslan Makhmatkhanov freebsd_committer 2016-05-07 11:25:28 UTC
Have you tried to build it with DEBUG=on and MAKE_JOBS_UNSAFE=yes in www/webkit-gtk2/Makefile? I'm doubt it helps, but worth to try anyway.
Comment 11 otacilio.neto 2016-05-09 13:48:48 UTC
I have compiled the webkit-gtk2-2.4.11 using ports on Poudriere and the compilation works fine. The webkit-gtk3-2.4.11 fails with the follow message:
=======================================================================
Creating hashtable for Source/JavaScriptCore/runtime/StringConstructor.cpp
  GEN      DerivedSources/JavaScriptCore/LLIntDesiredOffsets.h
offlineasm: Parsing ./Source/JavaScriptCore/llint/LowLevelInterpreter.asm and creating offset extractor DerivedSources/JavaScriptCore/LLIntDesiredOffsets.h.
offlineasm: Including file ./Source/JavaScriptCore/llint/LowLevelInterpreter64.asm
offlineasm: Including file ./Source/JavaScriptCore/llint/LowLevelInterpreter32_64.asm
offlineasm: offset extractor DerivedSources/JavaScriptCore/LLIntDesiredOffsets.h successfully generated.
  CXX      Source/JavaScriptCore/llint/Programs_LLIntOffsetsExtractor-LLIntOffsetsExtractor.o
In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:26:
In file included from ./Source/JavaScriptCore/config.h:30:
./Source/WTF/wtf/Platform.h:308:6: error: "Not supported ARM architecture"
#    error "Not supported ARM architecture"
     ^
In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:28:
In file included from ./Source/JavaScriptCore/bytecode/ArrayProfile.h:30:
In file included from ./Source/JavaScriptCore/runtime/JSArray.h:25:
In file included from ./Source/JavaScriptCore/runtime/ButterflyInlines.h:31:
In file included from ./Source/JavaScriptCore/heap/CopiedSpaceInlines.h:33:
In file included from ./Source/JavaScriptCore/runtime/VM.h:34:
In file included from ./Source/JavaScriptCore/jit/GPRInfo.h:29:
./Source/JavaScriptCore/assembler/MacroAssembler.h:66:2: error: "The MacroAssembler is not supported on this platform."
#error "The MacroAssembler is not supported on this platform."
 ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:71:31: error: unknown class name 'MacroAssemblerBase'; did you mean 'MacroAssembler'?
class MacroAssembler : public MacroAssemblerBase {
                              ^~~~~~~~~~~~~~~~~~
                              MacroAssembler
./Source/JavaScriptCore/assembler/MacroAssembler.h:71:7: note: 'MacroAssembler' declared here
class MacroAssembler : public MacroAssemblerBase {
      ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:71:31: error: base class has incomplete type
class MacroAssembler : public MacroAssemblerBase {
                       ~~~~~~~^~~~~~~~~~~~~~~~~~
./Source/JavaScriptCore/assembler/MacroAssembler.h:71:7: note: definition of 'JSC::MacroAssembler' is not complete until the closing '}'
class MacroAssembler : public MacroAssemblerBase {
      ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:74:32: error: unknown type name 'RegisterID'; did you mean 'register_t'?
    static bool isStackRelated(RegisterID reg)
                               ^~~~~~~~~~
                               register_t
/usr/include/sys/types.h:182:22: note: 'register_t' declared here
typedef __register_t    register_t;
                        ^
In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:28:
In file included from ./Source/JavaScriptCore/bytecode/ArrayProfile.h:30:
In file included from ./Source/JavaScriptCore/runtime/JSArray.h:25:
In file included from ./Source/JavaScriptCore/runtime/ButterflyInlines.h:31:
In file included from ./Source/JavaScriptCore/heap/CopiedSpaceInlines.h:33:
In file included from ./Source/JavaScriptCore/runtime/VM.h:34:
In file included from ./Source/JavaScriptCore/jit/GPRInfo.h:29:
./Source/JavaScriptCore/assembler/MacroAssembler.h:79:12: error: unknown type name 'RegisterID'; did you mean 'register_t'?
    static RegisterID firstRealRegister()
           ^~~~~~~~~~
           register_t
/usr/include/sys/types.h:182:22: note: 'register_t' declared here
typedef __register_t    register_t;
                        ^
In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:28:
In file included from ./Source/JavaScriptCore/bytecode/ArrayProfile.h:30:
In file included from ./Source/JavaScriptCore/runtime/JSArray.h:25:
In file included from ./Source/JavaScriptCore/runtime/ButterflyInlines.h:31:
In file included from ./Source/JavaScriptCore/heap/CopiedSpaceInlines.h:33:
In file included from ./Source/JavaScriptCore/runtime/VM.h:34:
In file included from ./Source/JavaScriptCore/jit/GPRInfo.h:29:
./Source/JavaScriptCore/assembler/MacroAssembler.h:87:12: error: unknown type name 'RegisterID'; did you mean 'register_t'?
    static RegisterID nextRegister(RegisterID reg)
           ^~~~~~~~~~
           register_t
/usr/include/sys/types.h:182:22: note: 'register_t' declared here
typedef __register_t    register_t;
                        ^
In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:28:
In file included from ./Source/JavaScriptCore/bytecode/ArrayProfile.h:30:
In file included from ./Source/JavaScriptCore/runtime/JSArray.h:25:
In file included from ./Source/JavaScriptCore/runtime/ButterflyInlines.h:31:
In file included from ./Source/JavaScriptCore/heap/CopiedSpaceInlines.h:33:
In file included from ./Source/JavaScriptCore/runtime/VM.h:34:
In file included from ./Source/JavaScriptCore/jit/GPRInfo.h:29:
./Source/JavaScriptCore/assembler/MacroAssembler.h:87:36: error: unknown type name 'RegisterID'; did you mean 'register_t'?
    static RegisterID nextRegister(RegisterID reg)
                                   ^~~~~~~~~~
                                   register_t
/usr/include/sys/types.h:182:22: note: 'register_t' declared here
typedef __register_t    register_t;
                        ^
In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:28:
In file included from ./Source/JavaScriptCore/bytecode/ArrayProfile.h:30:
In file included from ./Source/JavaScriptCore/runtime/JSArray.h:25:
In file included from ./Source/JavaScriptCore/runtime/ButterflyInlines.h:31:
In file included from ./Source/JavaScriptCore/heap/CopiedSpaceInlines.h:33:
In file included from ./Source/JavaScriptCore/runtime/VM.h:34:
In file included from ./Source/JavaScriptCore/jit/GPRInfo.h:29:
./Source/JavaScriptCore/assembler/MacroAssembler.h:95:12: error: unknown type name 'RegisterID'; did you mean 'register_t'?
    static RegisterID secondRealRegister()
           ^~~~~~~~~~
           register_t
/usr/include/sys/types.h:182:22: note: 'register_t' declared here
typedef __register_t    register_t;
                        ^
In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:28:
In file included from ./Source/JavaScriptCore/bytecode/ArrayProfile.h:30:
In file included from ./Source/JavaScriptCore/runtime/JSArray.h:25:
In file included from ./Source/JavaScriptCore/runtime/ButterflyInlines.h:31:
In file included from ./Source/JavaScriptCore/heap/CopiedSpaceInlines.h:33:
In file included from ./Source/JavaScriptCore/runtime/VM.h:34:
In file included from ./Source/JavaScriptCore/jit/GPRInfo.h:29:
./Source/JavaScriptCore/assembler/MacroAssembler.h:100:12: error: unknown type name 'FPRegisterID'
    static FPRegisterID nextFPRegister(FPRegisterID reg)
           ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:100:40: error: unknown type name 'FPRegisterID'
    static FPRegisterID nextFPRegister(FPRegisterID reg)
                                       ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:110:35: error: unknown type name 'RegisterID'; did you mean 'register_t'?
    static unsigned registerIndex(RegisterID reg)
                                  ^~~~~~~~~~
                                  register_t
/usr/include/sys/types.h:182:22: note: 'register_t' declared here
typedef __register_t    register_t;
                        ^
In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:28:
In file included from ./Source/JavaScriptCore/bytecode/ArrayProfile.h:30:
In file included from ./Source/JavaScriptCore/runtime/JSArray.h:25:
In file included from ./Source/JavaScriptCore/runtime/ButterflyInlines.h:31:
In file included from ./Source/JavaScriptCore/heap/CopiedSpaceInlines.h:33:
In file included from ./Source/JavaScriptCore/runtime/VM.h:34:
In file included from ./Source/JavaScriptCore/jit/GPRInfo.h:29:
./Source/JavaScriptCore/assembler/MacroAssembler.h:120:37: error: unknown type name 'FPRegisterID'
    static unsigned fpRegisterIndex(FPRegisterID reg)
                                    ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:125:35: error: unknown type name 'FPRegisterID'
    static unsigned registerIndex(FPRegisterID reg)
                                  ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:135:11: error: use of undeclared identifier 'MacroAssemblerBase'; did you mean 'MacroAssembler'?
    using MacroAssemblerBase::pop;
          ^~~~~~~~~~~~~~~~~~
          MacroAssembler
./Source/JavaScriptCore/assembler/MacroAssembler.h:71:7: note: 'MacroAssembler' declared here
class MacroAssembler : public MacroAssemblerBase {
      ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:135:31: error: using declaration refers to its own class
    using MacroAssemblerBase::pop;
          ~~~~~~~~~~~~~~~~~~~~^
./Source/JavaScriptCore/assembler/MacroAssembler.h:136:11: error: use of undeclared identifier 'MacroAssemblerBase'; did you mean 'MacroAssembler'?
    using MacroAssemblerBase::jump;
          ^~~~~~~~~~~~~~~~~~
          MacroAssembler
./Source/JavaScriptCore/assembler/MacroAssembler.h:71:7: note: 'MacroAssembler' declared here
class MacroAssembler : public MacroAssemblerBase {
      ^
./Source/JavaScriptCore/assembler/MacroAssembler.h:136:31: error: using declaration refers to its own class
    using MacroAssemblerBase::jump;
          ~~~~~~~~~~~~~~~~~~~~^
./Source/JavaScriptCore/assembler/MacroAssembler.h:137:11: error: use of undeclared identifier 'MacroAssemblerBase'; did you mean 'MacroAssembler'?
    using MacroAssemblerBase::branch32;
          ^~~~~~~~~~~~~~~~~~
          MacroAssembler
./Source/JavaScriptCore/assembler/MacroAssembler.h:71:7: note: 'MacroAssembler' declared here
class MacroAssembler : public MacroAssemblerBase {
      ^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
20 errors generated.
GNUmakefile:77854: recipe for target 'Source/JavaScriptCore/llint/Programs_LLIntOffsetsExtractor-LLIntOffsetsExtractor.o' failed
gmake[1]: *** [Source/JavaScriptCore/llint/Programs_LLIntOffsetsExtractor-LLIntOffsetsExtractor.o] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/www/webkit-gtk3/work/webkitgtk-2.4.11'
*** Error code 1

Stop.
make: stopped in /usr/ports/www/webkit-gtk3
====>> Cleaning up wrkdir
===>  Cleaning for webkit-gtk3-2.4.11
build of www/webkit-gtk3 ended at Sun May  8 23:27:43 BRT 2016
build time: 00:49:03
!!! build failure encountered !!!
Comment 12 Ulrich Grey 2016-05-09 18:19:42 UTC
Created attachment 170153 [details]
webkit-gtk2 build log Symbols/MAKE_JOBS_UNSAVE

I built it again setting:
MAKE_JOBS_UNSAFE=yes
DEBUG=on

After about 20 hours the build stopped. Please see the attached log.

(19:08:17) ar: warning: can't mmap file: libWebCore_la-GResourceBundle.o: Cannot allocate memory
(19:08:17) ar: warning: Segmentation fault (core dumped)
(19:14:29) GNUmakefile:34037: recipe for target 'libWebCore.la' failed
(19:14:29) gmake[2]: *** [libWebCore.la] Error 139
(19:14:29) gmake[2]: Leaving directory '/wrkdirs/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.11'
(19:14:29) GNUmakefile:25837: recipe for target 'all' failed
(19:14:29) gmake[1]: *** [all] Error 2
(19:14:29) gmake[1]: Leaving directory '/wrkdirs/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.11'
(19:14:29) *** Error code 1
(19:14:29) 
(19:14:29) Stop.
(19:14:29) make: stopped in /usr/ports/www/webkit-gtk2

As far as I see no memory shortage:

root@wqtest:~ # swapinfo
Device          1K-blocks     Used    Avail Capacity
/dev/da0p1        4194304    96612  4097692     2%
/dev/gpt/swap0    1007576    97016   910560    10%
/dev/gpt/swap1    1007576    98332   909244    10%
Total             6209456   291960  5917496     5%
root@wqtest:~ # df -h
Filesystem                                                                   Size    Used   Avail Capacity  Mounted on
/dev/mmcsd0s2a                                                                14G    4.2G    8.8G    32%    /
devfs                                                                        1.0K    1.0K      0B   100%    /dev
/dev/da1s1d                                                                  108G     38G     61G    38%    /usr/local/POUDRIERE
/dev/da0p2                                                                    50G    731M     46G     2%    /mnt
/dev/mmcsd0s1                                                                 50M    488K     49M     1%    /boot/msdos
tmpfs                                                                        5.7G    4.0K    5.7G     0%    /tmp
tmpfs                                                                        5.7G    4.1M    5.7G     0%    /var/log
tmpfs                                                                        5.7G    4.0K    5.7G     0%    /var/tmp
fdescfs                                                                      1.0K    1.0K      0B   100%    /dev/fd
procfs                                                                       4.0K    4.0K      0B   100%    /proc
/dev/da2                                                                     144G    121G     12G    91%    /usr/local/DEVEL
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/jails/11armv6/rescue                    108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/rescue
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/jails/11armv6/usr/src                   108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/usr/src
devfs                                                                        1.0K    1.0K      0B   100%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/dev
/usr/local/POUDRIERE/P_CCACHE                                                108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/root/.ccache
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/ports/svn                               108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/usr/ports
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/packages/11armv6-svn/.building     108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/packages
/usr/local/DEVEL/DISTFILES                                                   144G    121G     12G    91%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/distfiles
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/rescue          108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/02/rescue
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/rescue          108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/01/rescue
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/usr/src         108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/01/usr/src
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/ref/usr/src         108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/02/usr/src
devfs                                                                        1.0K    1.0K      0B   100%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/01/dev
devfs                                                                        1.0K    1.0K      0B   100%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/02/dev
fdescfs                                                                      1.0K    1.0K      0B   100%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/01/dev/fd
fdescfs                                                                      1.0K    1.0K      0B   100%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/02/dev/fd
procfs                                                                       4.0K    4.0K      0B   100%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/02/proc
procfs                                                                       4.0K    4.0K      0B   100%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/01/proc
/usr/local/POUDRIERE/P_CCACHE                                                108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/02/root/.ccache
/usr/local/POUDRIERE/P_CCACHE                                                108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/01/root/.ccache
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/ports/svn                               108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/02/usr/ports
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/ports/svn                               108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/01/usr/ports
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/packages/11armv6-svn/.building     108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/02/packages
/usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/packages/11armv6-svn/.building     108G     38G     61G    38%    /usr/local/POUDRIERE/P_JAIL-X/P_JAIL/data/.m/11armv6-svn/01/packages
webkit-gtk2-swap.log
Comment 13 mikael.urankar 2018-04-10 16:53:39 UTC
Can we close this pr? it builds fine on the cluster:
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p466702_s332158/logs/webkit-gtk2-2.4.11_15.log